import argparse
import asyncio

from clarabot_nano.common.spawn.constants import ShortNames
from clarabot_nano.server.general.process import GeneralServerProcess


async def startup():
    with GeneralServerProcess.create(ShortNames.GENERAL_SERVER) as proc:
        await proc.run()


def main():
    parser = argparse.ArgumentParser("Clarabot Nano - Server process (general)")
    args = parser.parse_args()
    asyncio.run(startup())


if __name__ == "__main__":
    main()
